Package org.bukkit.event.block

# Class CauldronLevelChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.CauldronLevelChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class CauldronLevelChangeEvent extends BlockEvent implements Cancellable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CauldronLevelChangeEvent.ChangeReason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`CauldronLevelChangeEvent(@NotNull Block block, @Nullable Entity entity, @NotNull CauldronLevelChangeEvent.ChangeReason reason, @NotNull BlockState newBlock)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Entity`
`getEntity()`
Get entity which did this.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`int`
`getNewLevel()`
Deprecated.
not all cauldron contents are Levelled
`@NotNull BlockState`
`getNewState()`
Gets the new state of the cauldron.
`int`
`getOldLevel()`
Deprecated.
not all cauldron contents are Levelled
`@NotNull CauldronLevelChangeEvent.ChangeReason`
`getReason()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.
`void`
`setNewLevel(int newLevel)`
Deprecated.
not all cauldron contents are Levelled

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CauldronLevelChangeEvent

public CauldronLevelChangeEvent(@NotNull @NotNull Block block, @Nullable @Nullable Entity entity, @NotNull @NotNull CauldronLevelChangeEvent.ChangeReason reason, @NotNull @NotNull BlockState newBlock)

## Method Details

### getEntity

@Nullable public @Nullable Entity getEntity()
Get entity which did this. May be null.

Returns:
  acting entity

### getReason

@NotNull public @NotNull CauldronLevelChangeEvent.ChangeReason getReason()

### getNewState

@NotNull public @NotNull BlockState getNewState()
Gets the new state of the cauldron.

Returns:
  The block state of the block that will be changed

### getOldLevel

@Deprecated public int getOldLevel()
Deprecated.
not all cauldron contents are Levelled
Gets the old level of the cauldron.

Returns:
  old level
See Also:
  - `BlockEvent.getBlock()`

### getNewLevel

@Deprecated public int getNewLevel()
Deprecated.
not all cauldron contents are Levelled
Gets the new level of the cauldron.

Returns:
  new level
See Also:
  - `getNewState()`

### setNewLevel

@Deprecated public void setNewLevel(int newLevel)
Deprecated.
not all cauldron contents are Levelled
Sets the new level of the cauldron.

Parameters:
  `newLevel` - new level
See Also:
  - `getNewState()`

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()